# SecureTCPSocket Class Reference

Security layer using GSSAPI over a TCP socket. More...

`#include <SecureTCPSocket.hh>`

Inheritance diagram for SecureTCPSocket:

[legend]

List of all members.

## Public Member Functions
| SecureTCPSocket ()
virtual | ~SecureTCPSocket ()
virtual void | send (const unsigned char *, size_t) throw (NetworkError, NetworkSignal)
virtual void | receive (void *Buffer, unsigned long Size) throw (NetworkError, NetworkSignal)
virtual bool | isDataReady () const
const char * | getPeerName ()
## Private Attributes
char * | PeerName

## Detailed Description

Security layer using GSSAPI over a TCP socket.

Definition at line 40 of file SecureTCPSocket.hh.

## Constructor & Destructor Documentation

SecureTCPSocket | ( |  | ) |

Definition at line 38 of file SecureTCPSocket.cc.

References SecureTCPSocket::PeerName.

~SecureTCPSocket | ( |  | ) | `[virtual]`

Definition at line 56 of file SecureTCPSocket.cc.

References SecureTCPSocket::PeerName.

## Member Function Documentation

void send | ( | const unsigned char * | buffer,
|  | size_t | size |
| ) |  |  | throw (NetworkError, NetworkSignal)`[virtual]`

Reimplemented from SocketTCP.

Definition at line 71 of file SecureTCPSocket.cc.

References certi::D, PrettyDebug::Out(), pdTrace, and SocketTCP::send().

Here is the call graph for this function:

void receive | ( | void * | Buffer,
|  | unsigned long | Size |
| ) |  |  | throw (NetworkError, NetworkSignal)`[virtual]`

Reimplemented from SocketTCP.

Definition at line 161 of file SecureTCPSocket.cc.

References certi::D, PrettyDebug::Out(), pdTrace, and SocketTCP::receive().

Here is the call graph for this function:

virtual bool isDataReady | ( |  | ) | const`[inline, virtual]`

Return RTI_TRUE if any data as already been read from the system socket and is waiting in the internal buffer, else RTI_FALSE.

Reimplemented from SocketTCP.

Definition at line 53 of file SecureTCPSocket.hh.

References SocketTCP::isDataReady().

Here is the call graph for this function:

const char * getPeerName | ( |  | ) |

Definition at line 144 of file SecureTCPSocket.cc.

References SecureTCPSocket::PeerName.

Referenced by SecurityServer::canFederateAccessData().

## Member Data Documentation

char* PeerName`[private]`

Definition at line 90 of file SecureTCPSocket.hh.

Referenced by SecureTCPSocket::getPeerName(), SecureTCPSocket::SecureTCPSocket(), and SecureTCPSocket::~SecureTCPSocket().

The documentation for this class was generated from the following files:

- SecureTCPSocket.hh
- SecureTCPSocket.cc